@extends($_viewFrame)

@section('pageTitleMain'){{$record['_item']['title']}}@endsection
@section('pageKeywords'){{$record['_item']['title']}}@endsection
@section('pageDescription'){{$record['summary']}}@endsection

@section('bodyContent')

    <div class="ub-container">
        <div class="ub-breadcrumb">
            <a href="{{modstart_web_url('course_video')}}">视频点播课</a>
            <a href="{{modstart_web_url('course_video/show/'.$record['id'])}}">{{$record['title']}}</a>
            <a class="active"
               href="{{modstart_web_url('course_video/show/'.$record['id'].'/'.$record['_item']['id'])}}">{{$record['_item']['title']}}</a>
        </div>
    </div>

    {!! \ModStart\ModStart::css('vendor/CourseVideo/style/video.css') !!}
    <div class="ub-video-container">
        <div class="ub-container">
            @if(!empty($record['_item']['_playUrl']))
                @if(in_array($record['_item']['videoType'],[\Module\CourseVideo\Type\VideoItemVideoType::UPLOAD,\Module\CourseVideo\Type\VideoItemVideoType::CLOUD]))
                    {!! \ModStart\ModStart::js('asset/vendor/xgplayer.js') !!}
                    <div id="player" class="body-scroll-lock-hide"></div>
                    <script>
                        $(function () {
                            new Player({
                                id: 'player',
                                fitVideoSize: 'fixWidth',
                                fluid: true,
                                url: '{{$record['_item']['_playUrl']}}',
                                'x5-video-player-type': 'h5',
                                playsinline: false,
                                playbackRate: [0.5, 0.75, 1, 1.5, 2],
                                defaultPlaybackRate: 1.0
                            });
                        });
                    </script>
                @elseif($record['_item']['videoType']==\Module\CourseVideo\Type\VideoItemVideoType::IFRAME)
                    {!! \ModStart\ModStart::js('asset/common/htmlEnhance.js') !!}
                    <div class="ub-html">
                        <p>
                            <iframe src="{{$record['_item']['videoIframeUrl']}}" frameborder="0"></iframe>
                        </p>
                    </div>
                @endif
            @else
                <div class="tw-text-center tw-py-20 lg:tw-py-60 tw-text-gray-100 tw-bg-gray-900">
                    加载视频失败，请稍后再试
                </div>
            @endif
        </div>
    </div>

    <div class="ub-container">
        <script>
            $(function () {
                var $tabs = $('.ub-nav-tab a');
                $tabs.on('click', function () {
                    var index = $tabs.index(this);
                    $tabs.removeClass('active').eq(index).addClass('active');
                    $('.pb-tab-content .content-item').addClass('tw-hidden').eq(index).removeClass('tw-hidden');
                });
            });
        </script>
        <div class="ub-nav-tab margin-top">
            <a href="javascript:;" class="active">视频介绍</a>
            <a href="javascript:;">课程章节</a>
            <a href="javascript:;">课程介绍</a>
            <a href="javascript:;">课程附件</a>
        </div>
        <div class="pb-tab-content tw-bg-white tw-p-4">
            <div class="content-item">
                @if(empty($record['_item']['content']))
                    <div class="ub-empty">
                        <div class="icon">
                            <i class="iconfont icon-empty-box"></i>
                        </div>
                        <div class="text">
                            暂无介绍
                        </div>
                    </div>
                @else
                    <div class="ub-html">
                        {!! $record['_item']['content'] !!}
                    </div>
                @endif
            </div>
            <div class="content-item tw-hidden">
                <div>
                    @foreach($record['_chapters'] as $chapter)
                        <div class="tw-text-gray-800 tw-font-bold">
                            {{$chapter['title']}}
                        </div>
                        <div class="tw-py-4">
                            @foreach($record['_items'] as $item)
                                @if($item['chapterId']==$chapter['id'])
                                    <div class="hover:tw-bg-gray-100 tw-p-2 tw-rounded">
                                        <div class="tw-float-right tw-text-gray-300">
                                            {{\ModStart\Core\Util\TimeUtil::formatTimeLength($item['videoLength'])}}
                                        </div>
                                        @if($record['_member'])
                                            <a href="{{modstart_web_url('course_video/show/'.$record['id'].'/'.$item['id'])}}"
                                               class="tw-text-gray-600">
                                                <i class="iconfont icon-play"></i>
                                                {{$item['title']}}
                                            </a>
                                        @else
                                            <a href="javascript:;" onclick="MS.dialog.tipError('请先订购此课程');"
                                               class="tw-text-gray-600">
                                                <i class="iconfont icon-play"></i>
                                                {{$item['title']}}
                                            </a>
                                        @endif
                                    </div>
                                @endif
                            @endforeach
                        </div>
                    @endforeach
                </div>
            </div>
            <div class="content-item tw-hidden">
                <div class="ub-html">
                    {!! $record['content'] !!}
                </div>
            </div>
            <div class="content-item tw-hidden">
                <div>
                    @foreach($record['_files'] as $file)
                        <div class="hover:tw-bg-gray-100 tw-p-2 tw-rounded">
                            @if($record['_member'])
                                <a href="{{modstart_web_url('course_video/download_file/'.$file['id'])}}"
                                   target="_blank" class="tw-text-gray-600">
                                    <i class="iconfont icon-file"></i>
                                    {{$file['title']}}
                                </a>
                            @else
                                <a href="javascript:;" onclick="MS.dialog.tipError('请先订购此课程');"
                                   class="tw-text-gray-600">
                                    <i class="iconfont icon-file"></i>
                                    {{$file['title']}}
                                </a>
                            @endif
                        </div>
                    @endforeach
                </div>
            </div>
        </div>


    </div>

@endsection
