<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Form; use Closure; use Illuminate\Contracts\Support\Renderable; use Illuminate\Database\Eloquent\Model; use Illuminate\Support\Collection; use Illuminate\Support\Facades\Input; use Illuminate\Validation\Validator; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Exception\BizException; use ModStart\Core\Exception\ResultException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Type\SortDirection; use ModStart\Core\Util\CRUDUtil; use ModStart\Core\Util\IdUtil; use ModStart\Field\AbstractField; use ModStart\Field\AutoRenderedFieldValue; use ModStart\Field\Display; use ModStart\Field\Select; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Concern\HasCascadeFields; use ModStart\Form\Type\FormEngine; use ModStart\Form\Type\FormMode; use ModStart\Grid\Concerns\HasSort; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; use stdClass; class Form implements Renderable { use HasFields, HasBuilder, HasFluentAttribute, HasSort, HasCascadeFields, HasScopeFilter, HasRepositoryFilter; public $id; private $repository; private $view = 'modstart::core.form.index'; protected $fluentAttributes = array('engine', 'builder', 'mode', 'title', 'showSubmit', 'showReset', 'itemId', 'item', 'hookSubmitted', 'hookSaving', 'hookSaved', 'hookDeleting', 'hookDeleted', 'hookChanged', 'dataSubmitted', 'dataForming', 'dataAdding', 'dataEditing', 'canAdd', 'canEdit', 'canDelete', 'canSort', 'canCopy', 'formClass', 'treeMaxLevel', 'treeRootPid', 'formUrl', 'ajax', 'formAttr'); private $engine = 'basic'; private $mode = 'form'; private $title; private $showSubmit = true; private $showReset = true; private $itemId = null; private $item; private $hookSubmitted; private $hookSaving; private $hookSaved; private $hookDeleting; private $hookDeleted; private $hookChanged; private $dataSubmitted; private $dataForming; private $dataAdding; private $dataEditing; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canSort = false; private $canCopy = false; private $formClass = ''; private $treeMaxLevel = 99; private $treeRootPid = 0; private $formUrl = null; private $ajax = true; private $formAttr = ''; public function __construct($jBd5I, \Closure $EDZ_Z = null) { goto m8Ov_; TJD6f: $this->setupFields(); goto XSgIH; XSgIH: $this->fieldDefaultRenderMode(FieldRenderMode::FORM); goto LxHa2; m8Ov_: $this->id = IdUtil::generate('Grid'); goto GtOHB; GtOHB: $this->repository = Repository::instance($jBd5I); goto TJD6f; LxHa2: $this->setupRepositoryFilter(); goto cby4p; cby4p: $this->builder($EDZ_Z); goto s5ZhP; s5ZhP: } public static function make($N__Yv = null, \Closure $EDZ_Z = null) { if (class_exists($N__Yv) && is_subclass_of($N__Yv, Model::class)) { return new Form($N__Yv, $EDZ_Z); } return new Form(DynamicModel::make($N__Yv), $EDZ_Z); } public function asTree($e75zH = 'id', $VcQCX = 'pid', $haYjB = 'sort', $nq9bV = 'title') { goto OLk3D; gMvom: $this->canSort(true); goto DkzI0; WTVpM: $this->repository->setSortColumn($haYjB); goto QlJ90; OMU3Q: $this->engine = FormEngine::TREE; goto gMvom; QlJ90: $this->repository->setTreeTitleColumn($nq9bV); goto OMU3Q; Uh8jl: $this->repository->setTreePidColumn($VcQCX); goto WTVpM; OLk3D: $this->repository->setKeyName($e75zH); goto Uh8jl; DkzI0: return $this; goto aHADR; aHADR: } public function asTreeMass($JLm7y = 0, $e75zH = 'id', $VcQCX = 'pid', $haYjB = 'sort', $nq9bV = 'title') { goto DlTUI; DRDTJ: $this->repository->setSortColumn($haYjB); goto mc8X9; GNIXj: return $this; goto DyDtS; DlTUI: $this->repository->setKeyName($e75zH); goto YZDt6; YZDt6: $this->repository->setTreePidColumn($VcQCX); goto DRDTJ; mc8X9: $this->repository->setTreeTitleColumn($nq9bV); goto bQzuL; nBDL5: $this->canSort(true); goto GNIXj; bQzuL: $this->engine = FormEngine::TREE_MASS; goto nBDL5; DyDtS: } private function build() { $this->runBuilder(); if ($this->engine == FormEngine::TREE) { if ($this->treeMaxLevel > 1) { $ujJ8n = FieldManager::make($this, 'select', $this->repository->getTreePidColumn(), L('Parent')); $ujJ8n->optionRepositoryTreeItems($this->repository, $this->treeMaxLevel); } else { $ujJ8n = FieldManager::make($this, 'hidden', $this->repository->getTreePidColumn(), L('Parent')); $ujJ8n->value(0); } $this->prependField($ujJ8n); } else { if ($this->engine == FormEngine::TREE_MASS) { goto Y39iD; mQM79: $this->prependField($ujJ8n); goto BBMrH; Y39iD: $ujJ8n = FieldManager::make($this, 'display', $this->repository->getTreePidColumn(), L('Parent')); goto H9FBK; H9FBK: $ujJ8n->addable(true)->editable(true)->listable(false); goto CJb64; CJb64: $ujJ8n->hookRendering(function (AbstractField $ujJ8n, $npGse, $JOJrP) { if (empty($npGse)) { $uZ4v6 = InputPackage::buildFromInput()->get('_pid', $this->treeRootPid); } else { $uZ4v6 = $npGse->{$this->repository->getTreePidColumn()}; } $this->repository()->setArgument('treePid', $uZ4v6); $tjKyQ = $this->repository->getTreeAncestorItems(); $p7yB9 = array(); $p7yB9[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . L('Root'); foreach ($tjKyQ as $Tv3eT) { $p7yB9[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . htmlspecialchars($Tv3eT->{$this->repository->getTreeTitleColumn()}); } $p7yB9[] = '<input type="hidden" name="' . $this->repository->getTreePidColumn() . '" value="' . htmlspecialchars($uZ4v6) . '" />'; return AutoRenderedFieldValue::make(join('', $p7yB9)); }); goto mQM79; BBMrH: } } } public function repository() { return $this->repository; } private function fieldValidateMessages($gU3Zf, $P2H4y) { goto VoSZ4; cpzma: $DKNN7 = array(); goto JHzAg; JHzAg: foreach ($AylqA as $pT80r) { foreach ($pT80r->messages()->getMessages() as $Bu5uQ => $AVtK7) { $DKNN7[$Bu5uQ] = $AVtK7; } } goto B5PGx; c1Ynz: return $DKNN7; goto m1sRO; SDT1X: foreach ($gU3Zf as $ujJ8n) { if (!($pT80r = $ujJ8n->getValidator($P2H4y))) { continue; } if ($pT80r instanceof Validator && !$pT80r->passes()) { $AylqA[] = $pT80r; } } goto cpzma; B5PGx: if (empty($DKNN7)) { return false; } goto c1Ynz; VoSZ4: $AylqA = array(); goto SDT1X; m1sRO: } private function validateFields($gU3Zf, $kz9_f) { goto JXGxN; JXGxN: $hvQXv = array(); goto w2tKq; w2tKq: if ($BUyEf = $this->fieldValidateMessages($gU3Zf, $kz9_f)) { $hvQXv = array_merge($hvQXv, $BUyEf); } goto EKzwE; v7aaZ: return Response::generateSuccess(); goto WBE04; EKzwE: foreach ($hvQXv as $Bu5uQ => $DKNN7) { foreach ($DKNN7 as $WDI5a) { return Response::generateError($WDI5a); } } goto v7aaZ; WBE04: } private function removeReservedFields() { goto qdoS_; qdoS_: $vU4_k = array($this->repository->getKeyName(), $this->repository->getCreatedAtColumn(), $this->repository->getUpdatedAtColumn()); goto lDco3; djm9J: $this->fields = $this->fields()->reject($WpMh2); goto bgery; lDco3: $WpMh2 = function (AbstractField $ujJ8n) use(&$vU4_k) { return in_array($ujJ8n->column(), $vU4_k, true) && $ujJ8n instanceof \ModStart\Field\Display; }; goto djm9J; bgery: } public function hookCall($nZVwO) { if ($nZVwO instanceof Closure) { $G9YZW = call_user_func($nZVwO, $this); if (null !== $G9YZW) { return $G9YZW; } } return Response::generateSuccess(); } public function isModeForm() { return $this->mode === FormMode::FORM; } public function isModeAdd() { return $this->mode === FormMode::ADD; } public function isModeEdit() { return $this->mode === FormMode::EDIT; } public function isModeDelete() { return $this->mode === FormMode::DELETE; } public function formRequest($nZVwO, array $kz9_f = null) { goto iJGvJ; lCqS4: $this->dataSubmitted = $kz9_f ? $kz9_f : Input::all(); goto KM9FB; KM9FB: try { goto tDlB6; tDlB6: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto eVvCi; eVvCi: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto KY23k; DrNNn: if (null !== $G9YZW) { if (Response::isError($G9YZW)) { return Response::jsonFromGenerate($G9YZW); } } goto UynLS; RABKY: $this->removeReservedFields(); goto L8Vzv; L8Vzv: foreach ($this->addableFields() as $ujJ8n) { goto WLFcp; mwTg3: $hurv6 = isset($this->dataSubmitted[$ujJ8n->column()]) ? $this->dataSubmitted[$ujJ8n->column()] : null; goto zGY5U; WLFcp: if ($ujJ8n->isLayoutField()) { continue; } goto mwTg3; izXFl: $this->dataForming[$ujJ8n->column()] = $hurv6; goto tOvGk; wInqv: $hurv6 = $ujJ8n->serializeValue($hurv6, $ujJ8n); goto i8c42; zGY5U: $hurv6 = $ujJ8n->prepareInput($hurv6, $this->dataSubmitted); goto wInqv; i8c42: if ($ujJ8n->hookValueSerialize()) { $hurv6 = call_user_func($ujJ8n->hookValueSerialize(), $hurv6, $ujJ8n); } goto izXFl; tOvGk: } goto zOp6e; yB6i2: if (null !== $G9YZW) { return Response::jsonFromGenerate($G9YZW); } goto tI6Ar; TMIRL: $G9YZW = call_user_func($nZVwO, $this); goto DrNNn; UynLS: ResultException::throwsIfFail($this->hookCall($this->hookSaved)); goto oLt9R; KoeDl: return Response::jsonSuccess(L('Save Success')); goto P3D3E; tI6Ar: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto KoeDl; zOp6e: ResultException::throwsIfFail($this->hookCall($this->hookSaving)); goto TMIRL; oLt9R: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto yB6i2; KY23k: $this->dataForming = array(); goto RABKY; P3D3E: } catch (BizException $van3m) { return Response::jsonError($van3m->getMessage()); } catch (ResultException $van3m) { return Response::jsonError($van3m->getMessage()); } goto u58jK; iJGvJ: $this->mode(FormMode::FORM); goto P28JD; P28JD: $this->build(); goto lCqS4; u58jK: } public function add() { goto xLkzh; AeaHW: $u_P4V = false; goto aMbd1; aMbd1: if ($this->canCopy()) { $Qy5nr = CRUDUtil::copyId(); if ($Qy5nr) { goto lvLkC; H3Zw7: $this->item($this->repository()->editing($this)); goto kGSjS; lvLkC: $this->itemId($Qy5nr); goto H3Zw7; pOi1q: $u_P4V = true; goto lewSd; kGSjS: $this->itemId(0); goto pOi1q; lewSd: } } goto ZXkzt; VdCOJ: if ($u_P4V) { $this->fillFields(); } goto z8ujW; z8ujW: return $this; goto wqbLx; xLkzh: $this->mode(FormMode::ADD); goto AeaHW; ZXkzt: $this->build(); goto VdCOJ; wqbLx: } public function addRequest(array $kz9_f = null) { goto MBjeS; ToEiU: $this->mode(FormMode::ADD); goto go8vs; MBjeS: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto ToEiU; J4ej1: try { goto fnM0n; fnM0n: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto VLgTW; qT9s4: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto A1hPf; g45uq: $this->dataAdding = array(); goto VZaiV; VZaiV: $this->removeReservedFields(); goto WUYPT; zDbqO: $wcLVx = $this->repository->add($this); goto qT9s4; VLgTW: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto g45uq; WUYPT: foreach ($this->addableFields() as $ujJ8n) { goto MbSCk; rbcV3: $hurv6 = isset($this->dataSubmitted[$ujJ8n->column()]) ? $this->dataSubmitted[$ujJ8n->column()] : null; goto kzmQ8; xaJ94: $this->dataAdding[$ujJ8n->column()] = $hurv6; goto iHV1V; FpZAX: $hurv6 = $ujJ8n->serializeValue($hurv6, $ujJ8n); goto fqPpT; MbSCk: if ($ujJ8n->isLayoutField() || $ujJ8n->isCustomField()) { continue; } goto rbcV3; kzmQ8: $hurv6 = $ujJ8n->prepareInput($hurv6, $this->dataSubmitted); goto FpZAX; fqPpT: if ($ujJ8n->hookValueSerialize()) { $hurv6 = call_user_func($ujJ8n->hookValueSerialize(), $hurv6, $ujJ8n); } goto xaJ94; iHV1V: } goto zDbqO; A1hPf: return Response::jsonSuccess(L('Add Success')); goto fwK8z; fwK8z: } catch (BizException $van3m) { return Response::jsonError($van3m->getMessage()); } catch (ResultException $van3m) { return Response::jsonError($van3m->getMessage()); } goto EvBRZ; rN3c6: $this->dataSubmitted = $kz9_f ? $kz9_f : Input::all(); goto J4ej1; go8vs: $this->build(); goto rN3c6; EvBRZ: } public function edit($wcLVx) { try { goto hMPiw; kEfCP: BizException::throwsIfEmpty(L('Record Not Exists'), $this->item); goto ZLlmM; ZLlmM: $this->build(); goto dIwoy; yNgfl: return $this; goto KvIdn; hCGdd: $this->item($this->repository()->editing($this)); goto kEfCP; dIwoy: $this->fillFields(); goto yNgfl; hMPiw: $this->mode(FormMode::EDIT); goto gxOQ0; gxOQ0: $this->itemId($wcLVx); goto hCGdd; KvIdn: } catch (BizException $van3m) { return Response::sendError($van3m->getMessage()); } } public function editRequest($wcLVx, array $kz9_f = null) { goto Y07FF; TDqUs: $this->dataSubmitted = $kz9_f ? $kz9_f : Input::all(); goto ynwzi; Y07FF: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto TDqUs; ynwzi: try { goto GhSQ3; gBbVt: $this->repository()->edit($this); goto xWavm; B2Xk3: return Response::jsonSuccess(L('Edit Success')); goto MvVkS; CsPC6: $this->dataEditing = array(); goto aFTMu; xWavm: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto B2Xk3; f59JI: ResultException::throwsIfFail($this->validateFields($this->editableFields(), $this->dataSubmitted)); goto NEu2K; hg_jP: $NE8LF = isset($this->dataSubmitted['_action']) ? $this->dataSubmitted['_action'] : null; goto kgEPY; kgEPY: if ('itemCellEdit' == $NE8LF) { goto YD47l; YD47l: $Bu5uQ = isset($this->dataSubmitted['column']) ? $this->dataSubmitted['column'] : null; goto G5Rw3; G5Rw3: $hurv6 = isset($this->dataSubmitted['value']) ? $this->dataSubmitted['value'] : null; goto XzGXD; rO5p3: BizException::throwsIfEmpty('Data Error', $this->dataEditing); goto oqNoZ; XzGXD: if ($Bu5uQ) { foreach ($this->editableFields() as $ujJ8n) { if ($ujJ8n->isLayoutField() || $ujJ8n->isCustomField()) { continue; } if ($ujJ8n->column() == $Bu5uQ) { $this->dataEditing[$ujJ8n->column()] = $hurv6; break; } } } goto rO5p3; oqNoZ: } else { foreach ($this->editableFields() as $ujJ8n) { goto uis9X; eWRtN: $hurv6 = isset($this->dataSubmitted[$ujJ8n->column()]) ? $this->dataSubmitted[$ujJ8n->column()] : null; goto pPv5g; uis9X: if ($ujJ8n->isLayoutField() || $ujJ8n->isCustomField()) { continue; } goto eWRtN; DG0f5: $hurv6 = $ujJ8n->serializeValue($hurv6, $ujJ8n); goto vXbVf; pPv5g: $hurv6 = $ujJ8n->prepareInput($hurv6, $this->dataSubmitted); goto DG0f5; vXbVf: if ($ujJ8n->hookValueSerialize()) { $hurv6 = call_user_func($ujJ8n->hookValueSerialize(), $hurv6, $ujJ8n); } goto dDUDa; dDUDa: $this->dataEditing[$ujJ8n->column()] = $hurv6; goto KZ73x; KZ73x: } } goto gBbVt; NEu2K: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto CsPC6; GhSQ3: $this->edit($wcLVx); goto f59JI; aFTMu: $this->removeReservedFields(); goto hg_jP; MvVkS: } catch (BizException $van3m) { return Response::jsonError($van3m->getMessage()); } catch (ResultException $van3m) { return Response::jsonError($van3m->getMessage()); } goto WphTQ; WphTQ: } public function deleteRequest($PAI33) { goto Opvnf; Opvnf: if (!$this->canDelete) { return Response::pagePermissionDenied(); } goto zBF0X; WNkLk: $this->itemId($PAI33); goto TUMg_; HEhtV: try { goto Ing4I; J0lWa: $this->itemId(collect($kz9_f)->map(function ($I2Q16) { return $I2Q16->{$this->repository()->getKeyName()}; })->toArray()); goto UXE6f; UXE6f: $VYPb1 = $this->repository->delete($this, $kz9_f); goto SanA8; K2E01: $this->item($kz9_f); goto J0lWa; SanA8: return Response::jsonSuccess(L('Delete Success')); goto BTqe_; Ing4I: $kz9_f = $this->repository->deleting($this); goto K2E01; BTqe_: } catch (BizException $van3m) { return Response::jsonError($van3m->getMessage()); } catch (ResultException $van3m) { return Response::jsonError($van3m->getMessage()); } goto za0U_; zBF0X: $this->mode(FormMode::DELETE); goto WNkLk; TUMg_: $this->build(); goto HEhtV; za0U_: } public function sortRequest($PAI33) { goto guXhY; jfdO5: try { goto ZF28m; JzgHS: return Response::jsonSuccess(L('Operate Success')); goto gbf27; J_hKa: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto JzgHS; ZF28m: $VYPb1 = $this->repository->sortEdit($this); goto J_hKa; gbf27: } catch (BizException $van3m) { return Response::jsonError($van3m->getMessage()); } catch (ResultException $van3m) { return Response::jsonError($van3m->getMessage()); } goto wyCo6; smGUS: $this->build(); goto jfdO5; qIvR5: $this->itemId($PAI33); goto Y1f9H; guXhY: if (!$this->canSort) { return Response::pagePermissionDenied(); } goto jNs_F; mOdLR: $this->repository->setArgument('direction', $P2H4y->getType('direction', SortDirection::class)); goto smGUS; jNs_F: $this->mode(FormMode::SORT); goto qIvR5; Y1f9H: $P2H4y = InputPackage::buildFromInput(); goto mOdLR; wyCo6: } public function render() { goto sNmHZ; UZxZ0: $kz9_f = array_merge($this->fluentAttributeVariables(), $kz9_f); goto a4Igl; YiH6n: switch ($this->mode) { case FormMode::FORM: $kz9_f['fields'] = $this->addableFields(); break; case FormMode::ADD: goto HIfmb; TnvPf: $kz9_f['fields'] = $this->addableFields(); goto GIayT; HIfmb: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto TnvPf; GIayT: break; goto oy2J6; oy2J6: case FormMode::EDIT: goto JYVoq; Wyn0X: break; goto oxNkm; ADk5j: $kz9_f['fields'] = $this->editableFields(); goto Wyn0X; JYVoq: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto ADk5j; oxNkm: default: return Response::sendError('Form.render mode error : ' . $this->mode); } goto UZxZ0; a4Igl: return view($this->view, $kz9_f)->render(); goto sMBM9; sNmHZ: $kz9_f = array(); goto YiH6n; sMBM9: } public function __call($u6N3B, $Iy6jj) { goto vH56_; vH56_: switch ($u6N3B) { case 'enablePagination': case 'defaultOrder': case 'canShow': case 'canExport': case 'canImport': case 'canBatchDelete': case 'canMultiSelectItem': case 'addBlankPage': case 'editBlankPage': case 'disableCUD': case 'hookItemOperateRendering': case 'addDialogSize': case 'editDialogSize': case 'dialogSizeSmall': case 'gridFilter': case 'gridOperateAppend': case 'bodyAppend': case 'operateFixed': case 'defaultPageSize': case 'pageSizes': case 'canBatchSelect': case 'batchOperatePrepend': case 'gridToolbar': case 'textEdit': return $this; } goto TjTvt; TjTvt: if ($this->isFluentAttribute($u6N3B)) { return $this->fluentAttribute($u6N3B, $Iy6jj); } goto lm4HR; lm4HR: return FieldManager::call($this, $u6N3B, $Iy6jj); goto Sqy5T; Sqy5T: } }