<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Grid; use Closure; use Illuminate\Support\Facades\Input; use Illuminate\Support\Facades\View; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Dao\ModelUtil; use ModStart\Core\Exception\BizException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Util\IdUtil; use ModStart\Core\Util\RenderUtil; use ModStart\Core\Util\TreeUtil; use ModStart\Detail\Detail; use ModStart\Field\AbstractField; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Form; use ModStart\Grid\Concerns\HasGridFilter; use ModStart\Grid\Concerns\HasItemOperate; use ModStart\Grid\Concerns\HasPaginator; use ModStart\Grid\Concerns\HasSort; use ModStart\Grid\Type\GridEngine; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; class Grid { use HasBuilder, HasFields, HasFluentAttribute, HasGridFilter, HasItemOperate, HasPaginator, HasSort, HasScopeFilter, HasRepositoryFilter; private $id; private $model; protected $fluentAttributes = array('view', 'engine', 'title', 'titleAdd', 'titleEdit', 'titleShow', 'titleImport', 'canAdd', 'canEdit', 'canDelete', 'canShow', 'canExport', 'canImport', 'canCopy', 'canMultiSelectItem', 'canSingleSelectItem', 'canBatchDelete', 'canBatchSelect', 'canSort', 'urlAdd', 'urlEdit', 'textEdit', 'urlDelete', 'urlShow', 'urlExport', 'urlImport', 'urlSort', 'addDialogSize', 'editDialogSize', 'showDialogSize', 'importDialogSize', 'addBlankPage', 'editBlankPage', 'enablePagination', 'defaultOrder', 'treeMaxLevel', 'treeRootPid', 'batchOperatePrepend', 'gridOperateAppend', 'hookPrepareItems', 'gridRowCols', 'defaultPageSize', 'pageSizes', 'gridToolbar'); private $engine = 'basic'; private $title; private $titleAdd; private $titleEdit; private $titleShow; private $titleImport; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canShow = true; private $canExport = false; private $canImport = false; private $canCopy = false; private $canMultiSelectItem = false; private $canSingleSelectItem = false; private $canBatchDelete = false; private $canBatchSelect = false; private $canSort = false; private $urlAdd; private $urlEdit; private $textEdit; private $urlDelete; private $urlShow; private $urlExport; private $urlImport; private $urlSort; private $addDialogSize = array('95%', '95%'); private $editDialogSize = array('95%', '95%'); private $showDialogSize = array('95%', '95%'); private $importDialogSize = array('95%', '95%'); private $addBlankPage = false; private $editBlankPage = false; private $enablePagination = true; private $defaultOrder = array(); private $treeMaxLevel = 0; private $treeRootPid = 0; private $batchOperatePrepend = ''; private $gridOperateAppend = ''; private $gridRowCols = null; private $defaultPageSize = 10; private $pageSizes = array(10, 50, 100); private $gridToolbar = array(); private $hookPrepareItems = null; private $gridTableTops = array(); private $gridRequestScript = null; private $gridBeforeRequestScript = null; private $isBuilt = false; private $isDynamicModel = false; private $dynamicModelTableName; private $view = 'modstart::core.grid.index'; private $bodyAppend = ''; public function __construct($jBd5I = null, \Closure $EDZ_Z = null) { goto BQyWJ; SknsU: $this->builder($EDZ_Z); goto tDBHA; usSo_: $this->setupRepositoryFilter(); goto TikpK; WIhkL: $this->setupFields(); goto nfd5C; TikpK: $this->setupGridFilter(); goto nxLXb; BQyWJ: $this->id = IdUtil::generate('Grid'); goto hPOJ9; nxLXb: $this->setupItemOperate(); goto SknsU; hPOJ9: $this->model = new Model($this, $jBd5I); goto WIhkL; nfd5C: $this->fieldDefaultRenderMode(FieldRenderMode::GRID); goto usSo_; tDBHA: } public static function make($N__Yv, \Closure $EDZ_Z = null) { goto lfqaE; rwJ86: return $yUy0Y; goto w32TU; B_Oe1: $yUy0Y->isDynamicModel = true; goto d81Ob; d81Ob: $yUy0Y->dynamicModelTableName = $N__Yv; goto rwJ86; lfqaE: if (class_exists($N__Yv)) { if (is_subclass_of($N__Yv, \Illuminate\Database\Eloquent\Model::class) || is_subclass_of($N__Yv, Repository::class)) { return new Grid($N__Yv, $EDZ_Z); } } goto FCMof; FCMof: $yUy0Y = new Grid(DynamicModel::make($N__Yv), $EDZ_Z); goto B_Oe1; w32TU: } public function useSimple($ydiTW) { goto oXXp7; aCVEB: return $this; goto UlVV0; oXXp7: $this->view = 'modstart::core.grid.simple'; goto noYGe; noYGe: $this->disableItemOperate(); goto S1LYb; S1LYb: $this->display('html', 'html')->hookRendering($ydiTW); goto aCVEB; UlVV0: } public function asTree($e75zH = 'id', $VcQCX = 'pid', $haYjB = 'sort', $nq9bV = 'title') { goto bQwSU; QKIMG: $this->engine = GridEngine::TREE; goto Z617R; Vq_0M: $this->repository()->setSortColumn($haYjB); goto SPqX9; JLdSc: $this->canSort(true); goto IjSGq; IjSGq: return $this; goto Om0C6; evpt0: $this->repository()->setTreePidColumn($VcQCX); goto Vq_0M; SPqX9: $this->repository()->setTreeTitleColumn($nq9bV); goto QKIMG; Z617R: $this->enablePagination(false); goto JLdSc; bQwSU: $this->repository()->setKeyName($e75zH); goto evpt0; Om0C6: } public function asTreeMass($JLm7y = 0, $e75zH = 'id', $VcQCX = 'pid', $haYjB = 'sort', $nq9bV = 'title') { goto HLIpJ; awGml: $this->canSort(true); goto uqLn3; HLIpJ: $this->repository()->setKeyName($e75zH); goto Awe9i; rdrMW: $this->repository()->setTreeTitleColumn($nq9bV); goto PcEqY; Agd6D: $this->enablePagination(false); goto awGml; Awe9i: $this->repository()->setTreePidColumn($VcQCX); goto kH1V6; kH1V6: $this->repository()->setSortColumn($haYjB); goto rdrMW; uqLn3: return $this; goto Fehqf; PcEqY: $this->engine = GridEngine::TREE_MASS; goto Agd6D; Fehqf: } public function canBatchDelete($hurv6 = null) { goto PbOby; L9NrA: $this->canBatchDelete = true; goto h1xA3; VhxJs: return $this; goto eOVPb; h1xA3: $this->canMultiSelectItem(true); goto VhxJs; PbOby: if (null === $hurv6) { return $this->canBatchDelete; } goto L9NrA; eOVPb: } public function canBatchSelect($hurv6 = null) { goto IGLCZ; Swhi5: $this->canMultiSelectItem(true); goto mh8z5; gBV12: $this->canBatchSelect = true; goto Swhi5; IGLCZ: if (null === $hurv6) { return $this->canBatchSelect; } goto gBV12; mh8z5: return $this; goto p6xkM; p6xkM: } public function disableCUD() { $this->canAdd(false)->canEdit(false)->canDelete(false); return $this; } public function dialogSizeSmall() { return $this->addDialogSize(array('600px', '90%'))->editDialogSize(array('600px', '90%'))->showDialogSize(array('600px', '90%')); } public function repository() { return $this->model->repository(); } public function getRepositoryKeyName() { return $this->model->repository()->getKeyName(); } public function gridFilter(Closure $nZVwO) { call_user_func($nZVwO, $this->gridFilter); return $this; } public function gridRequestScript($a0h27) { $this->gridRequestScript = $a0h27; return $this; } public function gridBeforeRequestScriptView($r79Wi) { return $this->gridBeforeRequestScript(RenderUtil::viewScript($r79Wi)); } public function gridBeforeRequestScript($PqISc) { $this->gridBeforeRequestScript = $PqISc; return $this; } public function gridTableTopView($r79Wi) { return $this->gridTableTop(View::make($r79Wi, array())->render()); } public function gridTableTop($IgkRN) { goto e0633; e0633: if ($IgkRN instanceof Closure) { $IgkRN = call_user_func($IgkRN, $this); } goto Enrkv; Enrkv: $this->gridTableTops[] = $IgkRN; goto aIpT3; aIpT3: return $this; goto rrbOU; rrbOU: } public function bodyAppend($IgkRN) { $this->bodyAppend = $IgkRN; return $this; } public function build() { if (!$this->isBuilt) { goto bRRTr; JdYq1: $this->isBuilt = true; goto x6F3e; bRRTr: $this->runBuilder(); goto rDFna; rDFna: $this->prepareItemOperateField(); goto JdYq1; x6F3e: } } public function executeQuery() { goto O8G05; O8G05: $this->build(); goto dJG7e; bHZvr: $this->repository()->setArgument(array('page' => $P2H4y->getPage(), 'pageSize' => $P2H4y->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $P2H4y->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto OyRjY; OyRjY: $this->gridFilter->setSearch($P2H4y->getArray('search')); goto zqIiI; dJG7e: $P2H4y = InputPackage::buildFromInput(); goto bHZvr; zqIiI: return $this->gridFilter->executeQuery(); goto eoJOb; eoJOb: } public function request() { goto k9cCS; go0y1: $this->build(); goto Wm6zE; d95JQ: $iNnEM = $this->gridFilter->execute(); goto dLYKH; cfjyH: $this->gridFilter->setSearch($P2H4y->getArray('search')); goto d95JQ; dLYKH: if ($this->engine == GridEngine::TREE) { goto V6i71; Qip_U: $iNnEM = TreeUtil::itemsMergeLevel($iNnEM, $suIL7, $Skw2L, $JSy5L); goto SeSIn; hDGZh: $Skw2L = $this->repository()->getTreePidColumn(); goto fM1F0; V6i71: $suIL7 = $this->repository()->getKeyName(); goto hDGZh; fM1F0: $JSy5L = $this->repository()->getTreeSortColumn(); goto Qip_U; SeSIn: } goto sMffe; eyJJA: $this->repository()->setArgument(array('page' => $P2H4y->getPage(), 'pageSize' => $P2H4y->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $P2H4y->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto GS9RN; k9cCS: $PFdPE = null; goto go0y1; G8euv: $BAOqu = array(); goto hwWjc; GS9RN: $uRVei = array(); goto VX74v; VX74v: if ($this->engine === GridEngine::TREE_MASS) { goto EclRA; QgMVk: if ($uZ4v6 != $this->treeRootPid) { $uRVei = $this->repository()->getTreeAncestorItems(); } goto lR2os; INczt: $this->repository()->setArgument(array('treeRootPid' => $this->treeRootPid, 'treePid' => $uZ4v6)); goto QgMVk; lR2os: $PFdPE = view('modstart::core.grid.treeAncestor', array('treeAncestors' => $uRVei, 'grid' => $this))->render(); goto WVMYu; EclRA: $uZ4v6 = $P2H4y->get('_pid', $this->treeRootPid); goto INczt; WVMYu: } goto cfjyH; RihM4: if (!is_null($this->gridRequestScript)) { $PqISc = call_user_func($this->gridRequestScript, $this); } goto m72VM; Wm6zE: $P2H4y = InputPackage::buildFromInput(); goto eyJJA; huUEn: $PqISc = null; goto RihM4; sMffe: $VMoNU = $this->model->paginator(); goto vTErX; E6zZo: foreach ($iNnEM as $JOJrP => $npGse) { goto D4e9m; D4e9m: $CgSvN = array(); goto z5Eyu; z5Eyu: if ($npGse instanceof \Illuminate\Database\Eloquent\Model) { $CgSvN = array_keys($npGse->getAttributes()); } else { if ($npGse instanceof \stdClass) { $CgSvN = array_keys(get_object_vars($npGse)); } else { BizException::throws('Grid item support Model|stdClass only'); } } goto AigC1; abNkx: $rbsQs['_id'] = '' . $npGse->{$this->repository()->getKeyName()}; goto U16H7; AigC1: $rbsQs = array(); goto abNkx; U16H7: foreach ($this->listableFields() as $ujJ8n) { goto bymEI; d1N2i: $rbsQs[$ujJ8n->column()] = $ujJ8n->renderView($ujJ8n, $npGse, $JOJrP); goto dOJUC; bymEI: if ($ujJ8n->isLayoutField()) { continue; } goto eKVlW; UGUJ2: $ujJ8n->setValue($hurv6); goto ttYzw; eKVlW: $hurv6 = null; goto pRGDF; ttYzw: $ujJ8n->item($npGse); goto d1N2i; pRGDF: if (in_array($ujJ8n->column(), $CgSvN) || $npGse instanceof \Illuminate\Database\Eloquent\Model && method_exists($npGse, $ujJ8n->column())) { goto gsYFr; w7SF_: $npGse->{$ujJ8n->column()} = $hurv6; goto zWT7B; kAwWF: if ($ujJ8n->hookValueUnserialize()) { $hurv6 = call_user_func($ujJ8n->hookValueUnserialize(), $hurv6, $ujJ8n); } goto iozUE; ioEgz: $hurv6 = $ujJ8n->unserializeValue($hurv6, $ujJ8n); goto GROmz; gsYFr: $hurv6 = $npGse->{$ujJ8n->column()}; goto AE76y; iozUE: $ujJ8n->item($npGse); goto ioEgz; GROmz: if ($ujJ8n->hookFormatValue()) { $hurv6 = call_user_func($ujJ8n->hookFormatValue(), $hurv6, $ujJ8n); } goto w7SF_; AE76y: $ujJ8n->item($npGse); goto kAwWF; zWT7B: } else { goto CpnqF; bZWpi: if (str_contains($ujJ8n->column(), '.')) { $hurv6 = ModelUtil::traverse($npGse, $ujJ8n->column()); } goto thN9R; kGkt3: $hurv6 = $ujJ8n->unserializeValue($hurv6, $ujJ8n); goto Hfdp1; CpnqF: $ujJ8n->item($npGse); goto bZWpi; thN9R: if ($ujJ8n->hookValueUnserialize()) { $hurv6 = call_user_func($ujJ8n->hookValueUnserialize(), $hurv6, $ujJ8n); } goto kGkt3; Hfdp1: if ($ujJ8n->hookFormatValue()) { $hurv6 = call_user_func($ujJ8n->hookFormatValue(), $hurv6, $ujJ8n); } goto KatUA; KatUA: } goto UGUJ2; dOJUC: if ($this->engine == GridEngine::TREE && $ujJ8n->column() == $this->repository()->getTreeTitleColumn()) { $oRn0t = str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;', $npGse->_level - 1) . '<a class="tree-arrow-icon ub-text-muted" href="javascript:;"><i class="icon iconfont icon-angle-right"></i></a> '; $rbsQs[$ujJ8n->column()] = $oRn0t . $rbsQs[$ujJ8n->column()]; } else { if ($this->engine == GridEngine::TREE_MASS && $ujJ8n->column() == $this->repository()->getTreeTitleColumn()) { if (count($uRVei) < $this->treeMaxLevel() - 1) { $rbsQs[$ujJ8n->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . '<a class="ub-text-primary" href="?_pid=' . $rbsQs['_id'] . '" title="' . L('Manage') . '"><i class="icon iconfont icon-sign"></i> ' . htmlspecialchars($rbsQs[$ujJ8n->column()]) . '</a>'; } else { $rbsQs[$ujJ8n->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . $rbsQs[$ujJ8n->column()]; } } } goto KyAJy; KyAJy: } goto gsoo4; gsoo4: $r8QtY[] = $rbsQs; goto W0H83; W0H83: } goto G8euv; hwWjc: foreach ($this->listableFields() as $ujJ8n) { goto IHZba; MPWTm: if ($ujJ8n->width() !== '') { $rbsQs['width'] = $ujJ8n->width(); } else { $rbsQs['withAuto'] = true; } goto M4ju9; SwmWz: $BAOqu[] = $rbsQs; goto lQofV; IHZba: if ($ujJ8n->isLayoutField()) { continue; } goto bmZOj; M4ju9: if ($ujJ8n->gridFixed()) { $rbsQs['fixed'] = $ujJ8n->gridFixed(); } goto SwmWz; bmZOj: $rbsQs = array('field' => $ujJ8n->column(), 'title' => $ujJ8n->label(), 'sort' => $ujJ8n->sortable()); goto MPWTm; lQofV: } goto huUEn; vTErX: if ($this->hookPrepareItems) { $iNnEM = call_user_func($this->hookPrepareItems, $this, $iNnEM); } goto GZllt; m72VM: return Response::jsonSuccessData(array('head' => $BAOqu, 'page' => $VMoNU ? $VMoNU->currentPage() : 1, 'pageSize' => $VMoNU ? $VMoNU->perPage() : count($r8QtY), 'total' => $VMoNU ? $VMoNU->total() : count($r8QtY), 'records' => $r8QtY, 'addition' => $PFdPE, 'script' => $PqISc)); goto gPSkd; GZllt: $r8QtY = array(); goto E6zZo; gPSkd: } public function render() { goto h7yLB; VkjoT: return view($this->view, $kz9_f)->render(); goto kD8H5; jcwiV: $kz9_f = array_merge($this->fluentAttributeVariables(), array('id' => $this->id, 'filters' => $this->gridFilter->filters(), 'hasAutoHideFilters' => $this->gridFilter->hasAutoHideFilters(), 'grid' => $this, 'scopes' => $this->scopeFilters, 'gridTableTops' => $this->gridTableTops, 'gridBeforeRequestScript' => $this->gridBeforeRequestScript, 'scopeCurrent' => Input::get('_scope', $this->scopeDefault), 'bodyAppend' => $this->bodyAppend)); goto VkjoT; h7yLB: $this->build(); goto jcwiV; kD8H5: } public function __toString() { try { return $this->render(); } catch (\Exception $van3m) { return $van3m->getMessage(); } } public function isDynamicModel() { return $this->isDynamicModel; } public function getDynamicModelTableName() { return $this->dynamicModelTableName; } public function __call($u6N3B, $Iy6jj) { goto j8KKf; foCbF: if ($this->isFluentAttribute($u6N3B)) { return $this->fluentAttribute($u6N3B, $Iy6jj); } goto sLnfa; j8KKf: switch ($u6N3B) { case 'hookSaved': case 'hookDeleting': case 'hookChanged': case 'hookDeleted': case 'hookSaving': case 'formClass': case 'gridFilter': return $this; } goto foCbF; sLnfa: return FieldManager::call($this, $u6N3B, $Iy6jj); goto zKL_h; zKL_h: } }